# $Revision: 1.17 $, $Date: 2009/01/03 14:49:19 $
Summary:	amaroc - ncurses frontend for Amarok
Summary(de.UTF-8):	amaroc - ncurses Frontend für Amarok
Summary(pl.UTF-8):	amaroc - frontend ncurses dla Amaroka
Name:		amaroc
Version:	0.3
Release:	4
License:	GPL v2
Group:		Applications
Source0:	http://dl.sourceforge.net/amaroc/%{name}-%{version}.tar.bz2
# Source0-md5:	38308e04b2bd0f7df94d19f2455b70df
Patch0:		%{name}-curses.patch
Patch1:		%{name}-keys.patch
URL:		http://sourceforge.net/projects/amaroc/
BuildRequires:	sed >= 4.0
Requires:	amarok
Requires:	python
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Amaroc is an ncurses frontend for Amarok. It uses DCOP calls and its
purpose is to ease control of Amarok over a network.

%description -l de.UTF-8
Amaroc ist ein ncurses Frontend für Amarok. Es benutzt DCOP Aufrufe
und es vereinfacht die Nutzung von Amarok übers Netzwerk.

%description -l pl.UTF-8
Amaroc jest frontendem ncurses dla Amaroka. Używa wywołan DCOP i
ułatwia używanie Amaroka przez sieć.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%{__sed} -i -e '1s,^#!.*python,#!%{__python},' amaroc.py

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install amaroc.py $RPM_BUILD_ROOT%{_bindir}/amaroc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_bindir}/amaroc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amaroc.spec,v $
Revision 1.17  2009/01/03 14:49:19  glen
- correct changelog

Revision 1.16  2009/01/03 14:49:00  glen
- recognize ? as help key; rel 4

Revision 1.15  2008/03/07 08:33:12  glen
- add extra keys (q: quit, enter: play)

Revision 1.14  2008-03-02 12:40:04  glen
- release 2

Revision 1.13  2008-03-02 12:29:08  glen
- noarch

Revision 1.12  2008-03-02 12:27:52  glen
- rpm autodeps

Revision 1.11  2007-04-07 03:08:25  shadzik
- add URL

Revision 1.10  2007/04/02 11:30:21  qboosh
- really(?) fixed de, pl cosmetic

Revision 1.9  2007/04/02 01:00:21  shadzik
- type in .de description

Revision 1.8  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.6  2006/09/21 16:07:54  maciek2w
- updated to 0.3
- added patch to catch exception from curs_set()
- rel 1

Revision 1.5  2006/07/04 18:01:18  qboosh
- R: python-modules, ncurses is implied

Revision 1.4  2006/07/04 15:37:25  shadzik
- pl fix

Revision 1.3  2006/07/04 15:32:44  paszczus
- updated to 0.2

Revision 1.2  2006/06/30 22:18:14  shadzik
- polish and german descriptions
- adapterized

Revision 1.1  2006/06/30 20:31:12  paszczus
- initial spec (one-file script)
